%define libapi		1
%define libqtapi	3
%define libmajor	0

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	The Light Display Manager
Name:		lightdm
Version:	1.18.3
Release:	%mkrel 3
License:	GPLv3+
Group:		Graphical desktop/Other
Source0:	https://launchpad.net/lightdm/%{url_ver}/%{version}/+download/%{name}-%{version}.tar.xz
Source1:	29lightdm.conf
Source2:	Xsession
# Mageia specific settings overrides
Source3:	lightdm-settings.conf
# For autologin configuration via drakboot
Source4:	lightdm-autologin-config.conf
# Systemd related:
Source10:	lightdm-tmpfiles.conf
Source11:	lightdm.service
Source12:	lightdm.rules
# PAM configs stolen from gdm
Source20:	lightdm.pam
Source21:	lightdm-autologin.pam
Source22:	lightdm-greeter.pam
# mga patches:
Patch3:		lightdm-1.8.3-remove-bin-from-path.patch
# originally from Fedora:
Patch10:	lightdm-1.11.7-nodaemon_option.patch
Patch11:	lightdm-1.8.3-lock-screen-before-switch.patch
URL:		http://www.freedesktop.org/wiki/Software/LightDM
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	gtk-doc
BuildRequires:	pam-devel
BuildRequires:	yelp-tools
BuildRequires:	vala-devel
BuildRequires:	pkgconfig(audit)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libxklavier)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(QtCore) < 5.0.0
BuildRequires:	pkgconfig(QtDBus) < 5.0.0
BuildRequires:	pkgconfig(QtGui) < 5.0.0
BuildRequires:	pkgconfig(xdmcp)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(x11)
BuildRequires:	libgcrypt-devel
Requires(pre):	shadow-utils
Requires:	xinitrc
Requires:	lightdm-greeter
Requires:	accountsservice
Recommends:	light-locker
Provides:	dm
Conflicts:	sddm < 0.13.0-4.mga6

# Obsolete some greeters:
# LXQt and KDE prefers sddm
Obsoletes:	lightdm-lxqt-greeter < 0.7.0-4
Obsoletes:	lightdm-kde-greeter < 0.3.2.2-4
# Dead or almost dead in upstream
Obsoletes:	lightdm-another-gtk-greeter < 1.0.6.3.4-4

%description
An X display manager that:
  * Has a lightweight codebase
  * Is standards compliant (PAM, etc)
  * Has a well defined interface between the server and user interface
  * Fully themeable (easiest with the webkit interface)
  * Cross-desktop (greeters can be written in any toolkit)

#-------------------------------------------------------------------------

%define liblightdmgobject %mklibname lightdm-gobject %{libapi} %{libmajor}

%package -n %{liblightdmgobject}
Summary:	LightDM GObject client library
Group:		Graphical desktop/Other
License:	LGPLv2+

%description -n %{liblightdmgobject}
A GObject based library for LightDM clients to use to interface with LightDM.

%files -n %{liblightdmgobject}
%{_libdir}/liblightdm-gobject-%{libapi}.so.%{libmajor}
%{_libdir}/liblightdm-gobject-%{libapi}.so.%{libmajor}.*

#-------------------------------------------------------------------------

%define liblightdmgir %mklibname lightdm-gir %{libapi}

%package -n %{liblightdmgir}
Summary:	Typelib file for liblightdm-1
Group:		Graphical desktop/Other
License:	LGPLv2+
Requires:	%{liblightdmgobject} = %{version}-%{release}

%description -n %{liblightdmgir}
A GObject based library for LightDM clients to use to interface with LightDM.

%files -n %{liblightdmgir}
%{_libdir}/girepository-1.0/LightDM-%{libapi}.typelib

#-------------------------------------------------------------------------

%define liblightdmgobjectdevel %mklibname -d lightdm-gobject

%package -n %{liblightdmgobjectdevel}
Summary:	LightDM client library (development files)
Group:		Graphical desktop/Other
License:	LGPLv2+
Requires:	%{liblightdmgobject} = %{version}-%{release}
Requires:	%{liblightdmgir} = %{version}-%{release}
Provides:	lightdm-gobject-devel = %{version}-%{release}

%description -n %{liblightdmgobjectdevel}
A GObject based library for LightDM clients to use to interface with LightDM.

This package contains header files and development information, which
is useful for building LightDM greeters and user switchers.

%files -n %{liblightdmgobjectdevel}
%doc %{_datadir}/gtk-doc/html/lightdm-gobject-%{libapi}
%{_includedir}/lightdm-gobject-%{libapi}/
%{_libdir}/liblightdm-gobject-%{libapi}.so
%{_libdir}/pkgconfig/liblightdm-gobject-%{libapi}.pc
%{_datadir}/gir-1.0/LightDM-%{libapi}.gir
%{_datadir}/vala/vapi/liblightdm-gobject-%{libapi}.*
#-------------------------------------------------------------------------

%define liblightdmqt5 %mklibname lightdm-qt5_ %{libqtapi} %{libmajor}

%package -n %{liblightdmqt5}
Summary:	LightDM Qt5 client library
Group:		Graphical desktop/Other
License:	LGPLv2+

%description -n %{liblightdmqt5}
A Qt5 based library for LightDM clients to use to interface with LightDM.

%files -n %{liblightdmqt5}
%{_libdir}/liblightdm-qt5-%{libqtapi}.so.%{libmajor}
%{_libdir}/liblightdm-qt5-%{libqtapi}.so.%{libmajor}.*

#-------------------------------------------------------------------------

%define liblightdmqt5devel %mklibname -d lightdm-qt5

%package -n %{liblightdmqt5devel}
Summary:	LightDM client library (development files)
Group:		Graphical desktop/Other
License:	LGPLv2+
Requires:	%{liblightdmqt5} = %{version}-%{release}
Provides:	lightdm-qt5-devel = %{version}-%{release}

%description -n %{liblightdmqt5devel}
A Qt5 based library for LightDM clients to use to interface with LightDM.

This package contains header files and development information, which
is useful for building LightDM greeters and user switchers.

%files -n %{liblightdmqt5devel}
%{_includedir}/lightdm-qt5-%{libqtapi}
%{_libdir}/liblightdm-qt5-%{libqtapi}.so
%{_libdir}/pkgconfig/liblightdm-qt5-%{libqtapi}.pc

#-------------------------------------------------------------------------

%define liblightdmqt %mklibname lightdm-qt %{libqtapi} %{libmajor}

%package -n %{liblightdmqt}
Summary:        LightDM Qt client library
Group:          Graphical desktop/Other
License:        LGPLv2+

%description -n %{liblightdmqt}
A Qt based library for LightDM clients to use to interface with LightDM.

%files -n %{liblightdmqt}
%{_libdir}/liblightdm-qt-%{libqtapi}.so.%{libmajor}
%{_libdir}/liblightdm-qt-%{libqtapi}.so.%{libmajor}.*

#-------------------------------------------------------------------------

%define liblightdmqtdevel %mklibname -d lightdm-qt

%package -n %{liblightdmqtdevel}
Summary:        LightDM client library (development files)
Group:          Graphical desktop/Other
License:        LGPLv2+
Requires:	%{liblightdmqt} = %{version}-%{release}
Provides:	lightdm-qt-devel = %{version}-%{release}

%description -n %{liblightdmqtdevel}
A Qt based library for LightDM clients to use to interface with LightDM.

This package contains header files and development information, which
is useful for building LightDM greeters and user switchers.

%files -n %{liblightdmqtdevel}
%{_includedir}/lightdm-qt-%{libqtapi}
%{_libdir}/liblightdm-qt-%{libqtapi}.so
%{_libdir}/pkgconfig/liblightdm-qt-%{libqtapi}.pc

#-------------------------------------------------------------------------

%prep
%setup -q
%patch3 -p1 -b .path
%patch10 -p1 -b .nodaemon
#patch11 -p1 -b .lock

# for autoreconf (to make it happy)
sed -i '1iACLOCAL_AMFLAGS=-I m4' Makefile.am

%build
autoreconf -vfi

export MOC5=%{_qt5_bindir}/moc
export MOC4=%{_qt4_bindir}/moc

%configure2_5x \
	--disable-static \
	--disable-tests \
	--enable-introspection \
	--enable-liblightdm-qt5 \
	--enable-liblightdm-qt \
	--with-greeter-session=lightdm-greeter
%make

%install
%make_install

# dm config
install -Dpm644 %{_sourcedir}/29lightdm.conf %{buildroot}/%{_datadir}/X11/dm.d/29lightdm.conf

# session wrapper script to source /etc/profile and ~/.profile if they exists
install -Dpm755 %{_sourcedir}/Xsession %{buildroot}/%{_sysconfdir}/%{name}/Xsession

# will be created when lightdm starts
install -d %{buildroot}%{_logdir}/%{name}
touch %{buildroot}%{_logdir}/%{name}/%{name}.log

# directory for remote sessions
mkdir -p %{buildroot}%{_datadir}/%{name}/remote-sessions

# mageia specific config overrides
install -Dpm644 %{_sourcedir}/lightdm-settings.conf %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf.d/50-%{_real_vendor}.conf

# autologin config file for drakboot
install -Dpm644 %{_sourcedir}/lightdm-autologin-config.conf %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf.d/50-%{_real_vendor}-autologin.conf

# for systemd
install -Dpm 644 %{_sourcedir}/lightdm-tmpfiles.conf %{buildroot}%{_tmpfilesdir}/lightdm.conf
install -Dpm 644 %{_sourcedir}/lightdm.service %{buildroot}%{_unitdir}/lightdm.service
install -Dpm 644 %{_sourcedir}/lightdm.rules %{buildroot}%{_datadir}/polkit-1/rules.d/lightdm.rules

# pam configs stolen from gdm
rm -rf %{buildroot}%{_sysconfdir}/pam.d/
install -Dpm 644 %{_sourcedir}/lightdm.pam %{buildroot}%{_sysconfdir}/pam.d/%{name}
install -Dpm 644 %{_sourcedir}/lightdm-autologin.pam %{buildroot}%{_sysconfdir}/pam.d/%{name}-autologin
install -Dpm 644 %{_sourcedir}/lightdm-greeter.pam %{buildroot}%{_sysconfdir}/pam.d/%{name}-greeter

#home dir for lightdm user
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}

#for user data dir
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}-data

#we don't want these
find %{buildroot} -name "*.la" -delete
rm -rf %{buildroot}%{_sysconfdir}/{init,apparmor.d}/

%find_lang %{name} --with-help

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /sbin/nologin

%if 0
%preun
%_preun_service %{name}
%endif

%post
%create_ghostfile %{_logdir}/%{name}/%{name}.log root root 0600

%triggerun -- %{name} < 1.18.3-3
%{__perl} -p -i -e 's/\[SeatDefaults\]/\[Seat:*\]/' \
	%{_sysconfdir}/%{name}/%{name}.conf \
	%{_sysconfdir}/%{name}/%{name}.conf.d/*.conf

homedir=$(getent passwd lightdm |cut -d: -f6)
if [ x"${homedir}" != x"%{_localstatedir}/lib/%{name}" ]; then
	%{_sbindir}/usermod lightdm -d %{_localstatedir}/lib/%{name}
fi

%if 0
%_post_service %{name}
%endif

%files -f %{name}.lang
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/%{name}.conf.d/
%{_sysconfdir}/%{name}/%{name}.conf.d/50-%{_real_vendor}.conf
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf.d/50-%{_real_vendor}-autologin.conf
%{_sysconfdir}/%{name}/Xsession
%config(noreplace) %{_sysconfdir}/%{name}/keys.conf
%config(noreplace) %{_sysconfdir}/%{name}/lightdm.conf
%config(noreplace) %{_sysconfdir}/%{name}/users.conf
%config(noreplace) %{_sysconfdir}/pam.d/lightdm*
%dir %{_logdir}/%{name}/
%ghost %{_logdir}/%{name}/%{name}.log
%attr(700,lightdm,lightdm) %dir %{_localstatedir}/lib/%{name}/
%attr(700,lightdm,lightdm) %dir %{_localstatedir}/lib/%{name}-data/
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.DisplayManager.conf
%{_datadir}/bash-completion/completions/*
%{_datadir}/X11/dm.d/29lightdm.conf
%{_datadir}/polkit-1/rules.d/lightdm.rules
%{_datadir}/%{name}/
%{_sbindir}/%{name}
%{_bindir}/dm-tool
%{_libexecdir}/lightdm-guest-session
%{_mandir}/man1/%{name}*
%{_mandir}/man1/dm-tool.*
%{_tmpfilesdir}/lightdm.conf
%{_unitdir}/lightdm.service


%changelog
* Mon Mar 20 2017 wally <wally> 1.18.3-3.mga6
+ Revision: 1093768
- convert %%pre script to %%triggerun to fix lightdm user's home dir (mga#20494)

* Sun Mar 19 2017 wally <wally> 1.18.3-2.mga6
+ Revision: 1093618
- add %%pre scriptlet to fix lightdm user's home dir if updated from really old mga releases (mga#20494)

* Fri Aug 12 2016 wally <wally> 1.18.3-1.mga6
+ Revision: 1046039
- new version 1.18.3

* Sat Jul 02 2016 wally <wally> 1.18.2-1.mga6
+ Revision: 1038289
- new version 1.18.2

* Tue Jun 28 2016 tv <tv> 1.18.1-2.mga6
+ Revision: 1038032
- Add a conflict with mga5 sddm to fix upgrade path

* Sun Apr 10 2016 wally <wally> 1.18.1-1.mga6
+ Revision: 1000084
- new version 1.18.1

* Wed Mar 23 2016 wally <wally> 1.18.0-1.mga6
+ Revision: 994507
- new version 1.18.0

* Tue Jan 26 2016 wally <wally> 1.16.7-1.mga6
+ Revision: 927893
- new version 1.16.7

* Sun Nov 22 2015 wally <wally> 1.16.6-1.mga6
+ Revision: 904871
- new version 1.16.6

* Wed Nov 04 2015 wally <wally> 1.16.5-1.mga6
+ Revision: 897767
- new version 1.16.5

* Tue Nov 03 2015 wally <wally> 1.16.4-1.mga6
+ Revision: 897608
- new version 1.16.4

* Thu Oct 01 2015 wally <wally> 1.16.3-1.mga6
+ Revision: 885551
- new version 1.16.3

* Wed Sep 16 2015 wally <wally> 1.16.2-1.mga6
+ Revision: 879897
- new version 1.16.2

* Wed Sep 16 2015 wally <wally> 1.16.1-1.mga6
+ Revision: 879865
- new version 1.16.1
- enable audit support

* Thu Sep 10 2015 fwang <fwang> 1.16.0-2.mga6
+ Revision: 875481
- rebuild for new libgcrypt

* Tue Sep 08 2015 wally <wally> 1.16.0-1.mga6
+ Revision: 874044
- new version 1.16.0

* Mon Aug 10 2015 wally <wally> 1.15.2-1.mga6
+ Revision: 862369
- new version 1.15.2

* Wed Aug 05 2015 wally <wally> 1.15.1-1.mga6
+ Revision: 861265
- new version 1.15.1

* Mon Jun 29 2015 wally <wally> 1.15.0-2.mga6
+ Revision: 847755
- add requires for gir pkg to devel pkg

* Sat Jun 20 2015 wally <wally> 1.15.0-1.mga6
+ Revision: 836204
- new version 1.15.0
- update configs after [SeatDefaults] was changed to [Seat:*]

* Tue Mar 10 2015 wally <wally> 1.12.3-1.mga5
+ Revision: 818275
- new version 1.12.3

* Thu Feb 19 2015 wally <wally> 1.12.2-2.mga5
+ Revision: 815796
- obsolete lightdm-another-gtk-greeter

* Fri Nov 14 2014 wally <wally> 1.12.2-1.mga5
+ Revision: 797244
- new version 1.12.2

* Sat Oct 25 2014 wally <wally> 1.12.1-4.mga5
+ Revision: 793118
- enable Qt5 support (and keep existing Qt4 support)

* Sat Oct 25 2014 wally <wally> 1.12.1-3.mga5
+ Revision: 793110
- obsolete KDE and LXQt greeters

* Wed Oct 15 2014 umeabot <umeabot> 1.12.1-2.mga5
+ Revision: 740110
- Second Mageia 5 Mass Rebuild

  + wally <wally>
    - new version 1.12.1

* Wed Oct 01 2014 wally <wally> 1.12.0-1.mga5
+ Revision: 733878
- new version 1.12.0

* Fri Sep 26 2014 wally <wally> 1.11.8-3.mga5
+ Revision: 724938
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 1.11.8-2.mga5
+ Revision: 681927
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Wed Sep 03 2014 wally <wally> 1.11.8-1.mga5
+ Revision: 671500
- new version 1.11.8

* Wed Aug 27 2014 wally <wally> 1.11.7-1.mga5
+ Revision: 668801
- new version 1.11.7
- rediff nodaemon patch
- require xinitrc

* Sat Aug 23 2014 wally <wally> 1.11.6-1.mga5
+ Revision: 666586
- new version 1.11.6

* Thu Jul 31 2014 wally <wally> 1.11.5-1.mga5
+ Revision: 658733
- new version 1.11.5

* Fri Jul 11 2014 wally <wally> 1.11.4-2.mga5
+ Revision: 651319
- allow only lightdm user to access dirs in /var/lib/

* Tue Jul 01 2014 wally <wally> 1.11.4-1.mga5
+ Revision: 641762
- new version 1.11.4

* Mon Jun 16 2014 wally <wally> 1.11.3-1.mga5
+ Revision: 637598
- new version 1.11.3

* Fri May 16 2014 wally <wally> 1.11.2-1.mga5
+ Revision: 623060
- new version 1.11.2

* Tue May 06 2014 wally <wally> 1.11.1-1.mga5
+ Revision: 620844
- new version 1.11.1

* Wed Apr 09 2014 wally <wally> 1.10.0-1.mga5
+ Revision: 613041
- new version 1.10.0

* Tue Mar 25 2014 wally <wally> 1.9.13-1.mga5
+ Revision: 608603
- new version 1.9.13

* Mon Mar 17 2014 wally <wally> 1.9.12-1.mga5
+ Revision: 604324
- new version 1.9.12

* Thu Mar 13 2014 wally <wally> 1.9.11-1.mga5
+ Revision: 603090
- new version 1.9.11

* Tue Mar 11 2014 wally <wally> 1.9.9-1.mga5
+ Revision: 602463
- new version 1.9.9

* Fri Feb 21 2014 wally <wally> 1.9.8-2.mga5
+ Revision: 595279
- create dir for shared user data

* Thu Feb 20 2014 wally <wally> 1.9.8-1.mga5
+ Revision: 595114
- new version 1.9.8

* Wed Feb 12 2014 wally <wally> 1.9.7-1.mga5
+ Revision: 589819
- new version 1.9.7

* Tue Feb 04 2014 wally <wally> 1.9.6-1.mga5
+ Revision: 581633
- new version 1.9.6

* Wed Jan 22 2014 wally <wally> 1.8.6-1.mga4
+ Revision: 567479
- new version 1.8.6

* Tue Jan 07 2014 wally <wally> 1.8.5-2.mga4
+ Revision: 565451
- add autologin config file for drakboot (mga#11746)

* Thu Nov 07 2013 wally <wally> 1.8.5-1.mga4
+ Revision: 549897
- new version 1.8.5
- rename mageia config file in lightdm.conf.d dir

* Fri Nov 01 2013 wally <wally> 1.8.4-1.mga4
+ Revision: 548726
- new version 1.8.4
- drop default mga settings patch and use .conf file in /etc/lightdm.conf.d/

* Thu Oct 31 2013 wally <wally> 1.8.3-1.mga4
+ Revision: 548679
- new version 1.8.3
- rediff all patches

* Tue Oct 22 2013 umeabot <umeabot> 1.8.2-3.mga4
+ Revision: 546124
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 wally <wally> 1.8.2-2.mga4
+ Revision: 502182
- suggest light-locker

* Wed Oct 16 2013 wally <wally> 1.8.2-1.mga4
+ Revision: 501588
- new version 1.8.2

* Fri Oct 11 2013 wally <wally> 1.8.1-1.mga4
+ Revision: 495238
- new version 1.8.1

* Fri Oct 11 2013 wally <wally> 1.8.0-3.mga4
+ Revision: 495232
- disable logging in polkit rule
- mark root as logdir and logfile owner
- lightdm changes logfile permissions when running so use same permissions when creating the file

* Wed Oct 09 2013 wally <wally> 1.8.0-2.mga4
+ Revision: 493994
- sync pam config files with gdm

* Wed Oct 09 2013 wally <wally> 1.8.0-1.mga4
+ Revision: 493979
- new version 1.8.0

* Mon Oct 07 2013 wally <wally> 1.7.18-1.mga4
+ Revision: 492525
- new version 1.7.18

* Wed Sep 25 2013 wally <wally> 1.7.17-1.mga4
+ Revision: 485948
- new version 1.7.17

* Fri Sep 20 2013 wally <wally> 1.7.16-1.mga4
+ Revision: 482497
- new version 1.7.16

* Thu Sep 12 2013 wally <wally> 1.7.15-1.mga4
+ Revision: 478118
- new version 1.7.15

* Wed Sep 11 2013 wally <wally> 1.7.14-1.mga4
+ Revision: 477601
- new version 1.7.14

* Mon Sep 09 2013 wally <wally> 1.7.13-1.mga4
+ Revision: 476648
- new version 1.7.13

* Thu Aug 29 2013 wally <wally> 1.7.12-1.mga4
+ Revision: 472918
- new version 1.7.12

* Mon Aug 26 2013 wally <wally> 1.7.11-1.mga4
+ Revision: 471842
- new version 1.7.11

* Sun Aug 25 2013 wally <wally> 1.7.10-1.mga4
+ Revision: 471559
- new version 1.7.10
- drop patches from upstream

* Sat Aug 24 2013 wally <wally> 1.7.9-3.mga4
+ Revision: 470914
- update pam module configs

* Fri Aug 09 2013 wally <wally> 1.7.9-2.mga4
+ Revision: 464984
- add patch from upstream to fix session locking (lp#1209107)

* Tue Jul 30 2013 wally <wally> 1.7.9-1.mga4
+ Revision: 461301
- new version 1.7.9

* Tue Jul 30 2013 wally <wally> 1.7.8-1.mga4
+ Revision: 461244
- new version 1.7.8

* Tue Jul 23 2013 wally <wally> 1.7.7-1.mga4
+ Revision: 457425
- new version 1.7.7
- drop upstreamed patch

* Wed Jul 03 2013 wally <wally> 1.7.4-2.mga4
+ Revision: 449886
- provide dm

* Mon Jul 01 2013 wally <wally> 1.7.4-1.mga4
+ Revision: 449215
- new version 1.7.4
- rediff config patch

* Sat Jun 22 2013 wally <wally> 1.7.3-2.mga4
+ Revision: 445620
- add patch to fix crash on startup

* Fri Jun 21 2013 wally <wally> 1.7.3-1.mga4
+ Revision: 445373
- new version 1.7.3

* Mon Jun 17 2013 wally <wally> 1.7.2-1.mga4
+ Revision: 444064
- new version 1.7.2
- drop upstreamed patch

* Wed Jun 05 2013 wally <wally> 1.7.0-4.mga4
+ Revision: 437657
- allow logins with empty passwd (mga#10416)

* Wed Jun 05 2013 wally <wally> 1.7.0-3.mga4
+ Revision: 437639
- tag pam config files as %%config(noreplace) to allow users alter the default behavior

* Sat May 25 2013 wally <wally> 1.7.0-2.mga4
+ Revision: 427018
- add patch from upstream to fix liblightdm-qt-3.pc file

* Fri May 24 2013 wally <wally> 1.7.0-1.mga4
+ Revision: 426299
- new version 1.7.0
- drop unneeded patches and rediff others
- add patch to remove /bin from	PATH
- change lightdm user home dir to /var/lib/lightdm
- clean	.spec

* Tue Apr 09 2013 wally <wally> 1.4.1-2.mga3
+ Revision: 409179
- set session class to greeter for lightdm-greeter

* Wed Mar 27 2013 wally <wally> 1.4.1-1.mga3
+ Revision: 405742
- new version 1.4.1

* Sat Jan 12 2013 fwang <fwang> 1.4.0-8.mga3
+ Revision: 358919
- mkdir m4

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 wally <wally> 1.4.0-7.mga3
+ Revision: 333825
- upload to release
  * enables reboot and shutdown from greeter menu after consolekit removal (mga#7995)
  * port to systemd-logind (mga#7995)

* Sat Dec 22 2012 wally <wally> 1.4.0-6.2.mga3
+ Revision: 333812
- fix systemd-logind patch (thx Derek Jennings)

* Mon Dec 17 2012 wally <wally> 1.4.0-6.1.mga3
+ Revision: 332179
- add systemd-logind patch from Fedora
- upload to testing

* Mon Oct 22 2012 wally <wally> 1.4.0-6.mga3
+ Revision: 309222
- disable post/preun service scripts for now

* Fri Oct 19 2012 ovitters <ovitters> 1.4.0-5.mga3
+ Revision: 308325
- don't mention consolekit in description

* Fri Oct 19 2012 wally <wally> 1.4.0-4.mga3
+ Revision: 308321
- add systemd support (originally from Fedora)
- fix dm config (add FNDSESSION_EXEC)

* Mon Oct 15 2012 wally <wally> 1.4.0-3.mga3
+ Revision: 306735
- properly own previously added remote sessions directory

* Mon Oct 15 2012 wally <wally> 1.4.0-2.mga3
+ Revision: 306722
- create a directory for possible remote session files

* Fri Oct 05 2012 wally <wally> 1.4.0-1.mga3
+ Revision: 302863
- new version 1.4.0

* Thu Aug 30 2012 wally <wally> 1.3.3-1.mga3
+ Revision: 285852
- new version 1.3.3
- disable lock-screen-before-switch.patch
- tighten qt build deps

* Sat Jul 28 2012 wally <wally> 1.3.2-6.mga3
+ Revision: 275420
- allow to select used greeter with alternatives system

* Tue Jul 17 2012 wally <wally> 1.3.2-5.mga3
+ Revision: 271985
- rediff pam modules patch to enable tmpfs support for xguest account (mga#4950)

* Sat Jul 14 2012 wally <wally> 1.3.2-4.mga3
+ Revision: 270745
- rediff pam modules patch to fix autologin issues

* Sat Jul 14 2012 wally <wally> 1.3.2-3.mga3
+ Revision: 270740
- rediff pam modules patch to allow reboot etc from greeter menu

* Sat Jul 14 2012 wally <wally> 1.3.2-2.mga3
+ Revision: 270731
- rediff pam modules patch to add optional gnome keyring support (unlocks the 'login' keyring at login)

* Sat Jul 14 2012 wally <wally> 1.3.2-1.mga3
+ Revision: 270701
- new version 1.3.2

* Tue Jun 26 2012 wally <wally> 1.3.1-6.mga3
+ Revision: 264060
- fix P2 after previous change

* Tue Jun 26 2012 wally <wally> 1.3.1-5.mga3
+ Revision: 264017
- fix net_applet yelling about wrong password (redo P2)
- rename P2

* Tue Jun 26 2012 wally <wally> 1.3.1-4.mga3
+ Revision: 263830
- add session wrapper script to source /etc/profile and/or ~/.profile when starting session if they exists (fixes PATH issue)

* Mon Jun 25 2012 wally <wally> 1.3.1-3.mga3
+ Revision: 263709
- add patch to fix ACLs (fixes no sound problem)
- clean .spec a bit

* Sun Jun 24 2012 wally <wally> 1.3.1-2.mga3
+ Revision: 263185
- add lock screen before switch patch from Fedora
- add ghost file for log
- tag some docs as such

* Sat Jun 23 2012 wally <wally> 1.3.1-1.mga3
+ Revision: 262834
- new version 1.3.1
- add nodaemon patch from Fedora
- add patch to modify default settings suitable for Mageia
- add support for drakedm
- require accountsservice
- clean .spec a bit

* Sat Jun 09 2012 fwang <fwang> 1.2.2-1.mga3
+ Revision: 258393
- new version 1.2.2

* Sat Apr 07 2012 fwang <fwang> 1.0.11-1.mga2
+ Revision: 229459
- new version 1.0.11
- fix linkage

* Mon Jan 02 2012 fwang <fwang> 1.0.6-1.mga2
+ Revision: 189591
- workaround for scripts
- fix build with latest glib
- fix build
- use gnome-autogen
- br gettext
- linkage fix
- new version 1.0.6

* Sun Oct 02 2011 fwang <fwang> 1.0.0-1.mga2
+ Revision: 150819
- new version 1.0.0

* Sat Sep 17 2011 fwang <fwang> 0.9.7-1.mga2
+ Revision: 144567
- update file list
- br dbus-glib for dbus-binding-tool
- new version 0.9.7
- imported package lightdm

